Bug 466833 - mtr artificially dependent on ipv6 kernel module
mtr artificially dependent on ipv6 kernel module
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mtr (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Zdenek Prikryl
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-13 18:28 EDT by Rogan Lynch
Modified: 2008-10-16 03:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 03:51:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rogan Lynch 2008-10-13 18:28:27 EDT
Description of problem:
Issues with mtr build dependency
mtr uses ipv6 kernel module and will not run without it.  It uses ICMPv6 , even when "-4" is given on the commandline, which is not available when IPv6 is disabled.

Version-Release number of selected component (if applicable):
[root@sona-lab-monitor ~]# mtr --version
mtr 0.74
[root@sona-lab-monitor ~]# uname -a
Linux sona-lab-monitor 2.6.18-92.1.13.el5 #1 SMP Wed Sep 24 19:33:52 EDT 2008 i686 i686 i386 GNU/Linux


How reproducible:
COMPLETELY

Steps to Reproduce:
1.Disable IPV6
2.Attempt to use mtr
3. Ka-Blamo!
  
Actual results:
"mtr: Couldn't determine raw socket type." 

Expected results:
Nice mtr output.

Additional info:
Running strace indicates that ICMPv6 is being called introducing UNECESARY AND OBNOXIOUS DEPENDENCIES. This is the type of oversight which causes me to recommend Ubuntu to employers and friends.
Comment 1 Zdenek Prikryl 2008-10-14 04:57:37 EDT
AFAIK, in official RHEL repos isn't mtr in version 0.74, but only in 0.71. So, you probably compiled your version of mtr. If so, how did you compile mtr? What options did you pass to ./configure script? Further, how exactly do you disabling IPV6?
Comment 2 Zdenek Prikryl 2008-10-15 02:22:56 EDT
Furthermore, when I remove ipv6 module from kernel, mtr (0.71) runs fine. I don't get any error. So, can you reply to my questions above? Thanks.
Comment 3 Rogan Lynch 2008-10-15 11:58:29 EDT
My Apologies I hadn't noticed this version of mtr comes from rpmforge.
I will file the bug report there.
Comment 4 Zdenek Prikryl 2008-10-16 03:51:23 EDT
Ok, so I'm closing this as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.